Subject: Re: [bug#39109] [PATCH] gnu: red-eclipse: Update to 2.0.0.

From: Kei Kebreau <[email-masked]>
Date: Wed, 15 Jan 2020 22:47:22 -0500

On Mon, 2020-01-13 at 22:31 +0000, Christopher Baines wrote:
> Kei Kebreau <[email-masked]> writes:
> 
> > * gnu/packages/games.scm (red-eclipse): Update to 2.0.0.
> > [source]: Remove obsolete patch, and fetch submodules making
> > recursive true.
> > [arguments]: Remove "unpack-data" phase and adjust
> > "add-store-data-package-path-as-default" phase.
> > [inputs]: Add freetype and remove data-sources.
> > * gnu/packages/patches/red-eclipse-remove-gamma-name-hack.patch:
> > Delete file.
> > * gnu/local.mk (dist_patch_DATA): Delete file.
> > ---
> >  gnu/local.mk                                  |  1 -
> >  gnu/packages/games.scm                        | 96 +++----------
> > ------
> >  .../red-eclipse-remove-gamma-name-hack.patch  | 52 ----------
> >  3 files changed, 12 insertions(+), 137 deletions(-)
> >  delete mode 100644 gnu/packages/patches/red-eclipse-remove-gamma-
> > name-hack.patch
> 
> Looks good to me :) The changes look good, I like that the package
> definition is a little shorter. I've successfully built the package
> on
> x86_64-linux, and launched the game.

I just built and tested i686-linux version of the game with no issues. 
Pushed to master with your help.  Thank you!

Kei